> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/install/10.2-install/multidimensional-data-modeling-in-pentaho/about-multidimensional-expression-language/mondrian-schema-element-reference/hierarchygrant/attributes.md).

# Attributes

| Attribute    | Data Type | Definition                                                                                                                                                                                                                        |
| ------------ | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| hierarchy    | String    | The unique name of the hierarchy                                                                                                                                                                                                  |
| topLevel     | String    | Unique name of the highest level of the hierarchy from which this role is allowed to see members. May only be specified if the **HierarchyGrant.access** is custom. If not specified, role can see members up to the top level.   |
| bottomLevel  | String    | Unique name of the lowest level of the hierarchy from which this role is allowed to see members. May only be specified if the **HierarchyGrant.access** is custom. If not specified, role can see members down to the leaf level. |
| rollupPolicy | String    | Policy which determines how cell values are calculated if not all of the children of the current cell are visible to the current role. Allowable values are full (the default), partial, and hidden.                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pentaho.com/install/10.2-install/multidimensional-data-modeling-in-pentaho/about-multidimensional-expression-language/mondrian-schema-element-reference/hierarchygrant/attributes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
